# xlsx-json-lang-manager

Easy way to manage language files in one place using xslx/csv.

````
Sample csv files in 'sample' folder. 
````
## Install

```
  npm install xlsx-json-lang-manager
```

## Usage

```javascript
xlsxj = require("./index");
  xlsxj({
    sourceInfo:[{
      input: "sample/languages.csv",
      objectLevel: 3
    },{
      input: "sample/errorCodeDetails.csv",
      objectLevel: 2
    }],
    outputdir: "sample",
    numberOfLanguages: 4,
    allowDuplicateValues: true
  }, function(err, result) {
    if(err) {
      console.error(err);
    }
  });
```


## License

MIT [@Vinmj](https://github.com/vinayakamj/xlsx-json-lang-manager)


